Skip to main content
GET
/
v1
/
entities
/
{entity_id}
/
assets
List Assets
curl --request GET \
  --url https://api.prime.coinbase.com/v1/entities/{entity_id}/assets
import requests

url = "https://api.prime.coinbase.com/v1/entities/{entity_id}/assets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prime.coinbase.com/v1/entities/{entity_id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "assets": [
    {
      "name": "Bitcoin",
      "symbol": "BTC",
      "decimal_precision": "8",
      "trading_supported": true,
      "explorer_url": "https://live.blockcypher.com/btc/",
      "networks": [
        {
          "network": {
            "id": "<string>",
            "type": "<string>"
          },
          "name": "Ethereum",
          "max_decimals": "8",
          "default": true,
          "trading_supported": true,
          "vault_supported": true,
          "prime_custody_supported": true,
          "destination_tag_required": true,
          "network_link": "https://live.blockcypher.com/btc/",
          "network_scoped_symbol": "BASEUSDC",
          "min_withdrawal_amount": "0.001",
          "max_withdrawal_amount": "1000",
          "min_deposit_amount": "0.001"
        }
      ]
    }
  ]
}
Entity IDTo retrieve your entity_id, use List Portfolios.
Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
primectl list-assets --help
For more information, please visit the Prime CLI.

Path Parameters

entity_id
string
required

The entity ID

Response

200 - application/json

A successful response.

assets
List of assets · object[]